/*
 * ArqWx::FileEditDialog
 * v1.3 (2010/04)
 *
 * by TrV
 * contact: dev(at)arqendra(dot)net
 */


#ifndef ARQWX_FILEEDITDIALOG_H
#define ARQWX_FILEEDITDIALOG_H

#include <wx/wx.h>


namespace ArqWx
{

enum FileNameDisplayType
{
    FILENAME_DISPLAY_NONE = 0, // nothing is displayed
    FILENAME_DISPLAY_GENERIC = 1, // a generic label is displayed
    FILENAME_DISPLAY_FULLNAME = 2, // file name is displayed
    FILENAME_DISPLAY_FULLPATH = 3 // file path & name is displayed
};


//** class wxFileEditDialog
//
// Dialog to edit files
//
// derived from: wxDialog

class FileEditDialog : public wxDialog
{
    public:
        FileEditDialog(wxWindow* parent,                                                // parent window
                       wxWindowID id,                                                   // dialog id
                       const wxString& title,                                           // dialog title
                       const wxPoint& pos,                                              // dialog position
                       const wxSize& size,                                              // dialog size
                       const wxString& editedFilename,                                  // edited file name
                       FileNameDisplayType displayedType = FILENAME_DISPLAY_FULLNAME,   // file name display type
                       bool fixedPitchFont = true);                                     // text font style

        void OnClickOK(wxCommandEvent& WXUNUSED(event)); // actions executed when 'OK' button is clicked
        void OnClickDefault(wxCommandEvent& WXUNUSED(event)); // actions executed when 'Default' button is clicked
        void OnClickCancel(wxCommandEvent& WXUNUSED(event)); // actions executed when 'Cancel' button is clicked

        void OnCloseWindow(wxCloseEvent& WXUNUSED(event)); // actions executed when 'Close' box is clicked

    private:
        wxString fileName; // file name

        wxTextCtrl* txtctrlFileContent; // file content

        wxButton* btnOK; // 'OK' button
        wxButton* btnDefault; // 'Default' button
        wxButton* btnCancel; // 'Cancel' button


    DECLARE_EVENT_TABLE()
};

} // ArqWx namespace end

#endif // ARQWX_FILEEDITDIALOG_H
